﻿/* 利用者機能 共通CSS */

@charset "utf-8";

/* common */
section#mainInner {
    width: 94%;
    max-width: 750px;
    margin: 0 auto 10%;
    font-size: 16px;
}
section#mainInner h2,
section#materials h2 {
    width: 94%;
    margin: 15% auto 10%;
    color: #111;
    font-size: 24px;
    text-align: left;
}
section#mainInner h2 span {
    padding: 0 0 0 4%;
    font-size: 12px;
    font-weight: 200;
}


section#mainInner h5 {
    width: 94%;
    margin: 14% auto 6%;
    color: #111;
    font-size: 32px;
    text-align: left;
}


/* form */
section#mainInner > div {
	width: 94%;
	margin: 0 3% 0 3%;
}

section#mainInner ul li {
	color: #111;
	font-weight: bold;
}

section#mainInner ul li small {
    padding-left: 2%;
    font-size: 12px;
    font-weight: 200;
}

section#mainInner ul li small.required {
}

section#mainInner ul li select {
	width: 100%;
	height: 46px;
	margin: 1% 0 6% 0;
	padding: 0 0 0 2%;
	color: #777;
	font-size: 18px;
    font-weight: normal;
	border: 3px solid #ccc;
	background-color: #fafafa;
	-webkit-border-radius: 6px;
	-moz-border-radius: 6px;
	border-radius: 6px;
	box-shadow: none;
}

section#mainInner ul li select:focus {
	width: 100%;
    border: 3px solid #F79738;
	background-color: #fefcce;
	-webkit-appearance: none;
}

section#mainInner input.text01 {
	width: 97%;
	height: 40px;
	margin: 1% 0 6% 0;
	padding: 0 0 0 2%;
	color: #777;
	font-size: 18px;
    font-weight: normal;
	border: 3px solid #ccc;
	-webkit-border-radius: 6px;
	-moz-border-radius: 6px;
	border-radius: 6px;
	box-shadow: none;
	-webkit-appearance: none;
}

section#mainInner input.text02 {
	width: 22%;
	height: 40px;
	margin: 1% 1% 6% 0;
	padding: 0 0 0 2%;
	color: #777;
	font-size: 18px;
    font-weight: normal;
	border: 3px solid #ccc;
	-webkit-border-radius: 6px;
	-moz-border-radius: 6px;
	border-radius: 6px;
	box-shadow: none;
	-webkit-appearance: none;
}

section#mainInner input[type="text"],
section#mainInner input[type="password"],
section#mainInner input[type="number"],
section#mainInner input[type="email"] {
	border: 3px solid #ccc;
	background-color: #fafafa;
	box-shadow: none;
	-webkit-appearance: none;
}

section#mainInner input[type="text"]:focus,
section#mainInner input[type="password"]:focus,
section#mainInner input[type="number"]:focus, 
section#mainInner input[type="email"]:focus{
	border: 3px solid #F79738;
	background-color: #fefcce;
	box-shadow: none;
	-webkit-appearance: none;
}

section#mainInner input[type="text"]:disabled,
section#mainInner input[type="password"]:disabled,
section#mainInner input[type="number"]:disabled, 
section#mainInner input[type="email"]:disabled{
	border: 3px solid #ccc;
	background-color: #fafafa;
	box-shadow: none;
	-webkit-appearance: none;
    opacity: 0.6;
}



/* select2 */
section#mainInner .select2 {
    margin: 1% 0 6% 0;
}
section#mainInner .select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 43px;
}
section#mainInner .select2-container--default .select2-selection--single {
    background-color: #fafafa;
    border: 3px solid #ccc;
    border-radius: 6px;
    padding: 0 0 0 1%;
    height: 46px;
}
section#mainInner .select2-container--default .select2-selection--single[aria-disabled="true"] {
    opacity: 0.6;
}
section#mainInner .select2-container--default .select2-selection--single .select2-selection__rendered {
    color: #777;
	font-size: 18px;
    font-weight: normal;
}
section#mainInner .select2-container--default .select2-selection--single .select2-selection__arrow {
    top: 10px;
}


/*テーブル*/
table {
    width: 100%;
    max-width: 100%;
    margin: 4% 0 8% 0;
    border-collapse: collapse;
    border-spacing: 0;
}

table > tbody > tr > td,
table > tbody > tr > th,
table > thead > tr > td, 
table > thead > tr > th {
    padding: 8px;
    line-height: 1.42857143;
    vertical-align: top;
    border-top: 1px solid #ddd;
}

table > tbody > tr:first-child > td,
table > tbody > tr:first-child > th,
table > thead > tr:first-child > td,
table > thead > tr:first-child > th {
    border-top: none;
}

table > thead > tr > th {
    vertical-align: bottom;
    background-color: #0094FF;
    color: #fff;
    font-weight: normal;
}

table > thead > tr:first-child > th:first-child {
    border-radius: 5px 0 0 0;
}

table > thead > tr:first-child > th:last-child {
    border-radius: 0 5px 0 0;
}

/*ストライプ*/
table.striped > tbody > tr:nth-of-type(even) {
    background-color: #f9f9f9;
}

/*2行対応*/
table.two-row > thead > tr:last-child > th {
    border-top: none;
}

table.two-row > tbody > tr:nth-of-type(2n+2) > td,
table.two-row > tbody > tr:nth-of-type(2n+2) > th,
table.two-row > thead > tr:last-child > td,
table.two-row > thead > tr:last-child > th {
    border-top: none;
    padding-top: 0;
}

/*2行ストライプ*/
table.striped-two-row > tbody > tr:nth-of-type(4n+3),
table.striped-two-row > tbody > tr:nth-of-type(4n+4) {
    background-color: #f9f9f9;
}


table > thead > tr > th.th-radio {
    width: 28px;
}

table > tbody > tr > td.td-radio {
    vertical-align: middle;
}

table > tbody > tr > td.td-spinner {
    line-height: 50px;
    text-align: center;
    font-size: 30px;
}


/*ラジオボタン１*/
section#mainInner .radio-group {
    margin: 4% 0 6%;
}

.radio01 {
    display: none;
}

.label01 {
    display: inline-block;
    box-sizing: border-box;
    margin-left: 2%;
    width: 25%;
    line-height: 40px;
    font-size: 18px;
    font-weight: bold;
    background-color: #fafafa;
	border: 3px solid #aaa;
	-webkit-border-radius: 20px;
	-moz-border-radius: 20px;
	border-radius: 20px;
    text-align: center;
    color: #777;
    cursor: pointer;
}

.radio01:checked + .label01 {
    background-color: #F39814;
    border: 3px solid #F39814;
    color: #fff;
}

.radio01:disabled + .label01 {
    opacity: 0.6;
}


/*ラジオボタン２*/
.radio02 {
    display: none;
}

.label02 {
    display: inline-block;
    box-sizing: border-box;
    cursor: pointer;
    position: relative;
    width: 10px;
}

.label02::before {
    display: block;
    content: '';
    position: absolute;
    top: 50%;
    left: 0;
    margin-top: -20px;
    width: 24px;
    height: 24px;
    background-color: #fafafa;
    border: 2px solid #aaa;
	-webkit-border-radius: 50%;
	-moz-border-radius: 50%;
	border-radius: 50%;
}

.label02::after {
    display: block;
    content: '';
    position: absolute;
    top: 50%;
    left: 5px;
    margin-top: -15px;
    color: #000;
    width: 18px;
    height: 18px;
    background-color: #337ab7;
	-webkit-border-radius: 50%;
	-moz-border-radius: 50%;
	border-radius: 50%;
    opacity: 0;
}

.radio02:checked + .label02::before {
    border: 2px solid #337ab7;
}

.radio02:checked + .label02::after {
    opacity: 1;
}

.radio02:disabled + .label02::before {
    opacity: 0.6;
}



/*ラジオボタン３*/
.radio03 {
    display: none;
}

.label03 {
    display: flex;
    box-sizing: border-box;
    cursor: pointer;
    position: relative;
    padding: 10px 10px 10px 34px;
    font-size: 18px;
    font-weight: normal;
}

    .label03::before {
        display: block;
        content: '';
        position: absolute;
        top: 50%;
        left: 0;
        margin-top: -15px;
        width: 24px;
        height: 24px;
        background-color: #fafafa;
        border: 2px solid #aaa;
        -webkit-border-radius: 50%;
        -moz-border-radius: 50%;
        border-radius: 50%;
    }

    .label03::after {
        display: block;
        content: '';
        position: absolute;
        top: 50%;
        left: 5px;
        margin-top: -10px;
        color: #000;
        width: 18px;
        height: 18px;
        background-color: #337ab7;
        -webkit-border-radius: 50%;
        -moz-border-radius: 50%;
        border-radius: 50%;
        opacity: 0;
    }

.radio03:checked + .label03::before {
    border: 2px solid #337ab7;
}

.radio03:checked + .label03::after {
    opacity: 1;
}

.radio03:disabled + .label03::before {
    opacity: 0.6;
}




/* buttons */
section#buttons {
    width: 94%;
    margin: 10% auto;
}

section#buttons .btn-group {
    display: flex;
    justify-content: space-between;
}

section#buttons .btn-group .btn {
    display: inline-block;
    box-sizing: border-box;
    line-height: 40px;
    width: 49%;
    padding: 2%;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    font-weight: normal;
    font-size: 18px;
    box-sizing: border-box;
    text-align: center;
    cursor: pointer;
}

section#buttons .btn-group .btn-update {
    background-color: #5cb85c;
    border: 2px solid #4cae4c;
    color: #fff;
}

section#buttons .btn-group .btn-cancel {
    background-color: #fafafa;
    border: 2px solid #ccc;
    color: #000;
}

section#buttons .btn-group .btn-exec {
    background-color: #0094FF;
    border: none;
    color: #fff;
}


/*モーダル*/
.modal {
    display: none;
    height: 100vh;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 2000;
}

#loding-modal {
    z-index: 2001;
}

.modal_bg {
    background: rgba(0,0,0,0.4);
    height: 100vh;
    position: absolute;
    width: 100%;
    top: 0;
    left: 0;
}

.modal_content {
    background: #fff;
    left: 50%;
    position: absolute;
    top: 50%;
    transform: translate(-50%,-50%);
    width: 90%;
    max-width: 600px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    border-radius: 10px;
    overflow: hidden;
}

.modal_content.spinner_outer {
    background: none;
    color: #f9f9f9;
    font-size: 40px;
    text-align: center;
}

.modal_content .modal_header {
    color: #555;
    background-color: #fafafa;
    border-bottom: 1px solid #e5e5e5;
    padding: 10px;
    text-align: center;
}

.modal_content .modal_body {
    padding: 26px;
}

.modal_content .modal_footer {
    border-top: 1px solid #e5e5e5;
    padding: 10px;
    text-align: right;
}

.modal_content .modal_footer .btn {
    line-height: 40px;
    width: 40%;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    border: none;
    font-size: 18px;
    cursor: pointer;
}

.modal_content .modal_footer .btn-primary {
    color: #fff;
    background-color: #5cb85c;
    border: 1px solid #4cae4c;
}

.modal_content .modal_footer .btn-default {
    background-color: #fafafa;
    border: 1px solid #ccc;
}


/*ページネーション*/
.pagination {
    display: inline-block;
    padding-left: 0;
    margin: 20px 0;
    border-radius: 4px;
}

.pagination>li {
    display: inline;
}

.pagination > li > a, 
.pagination > li > span {
    position: relative;
    float: left;
    padding: 6px 12px;
    margin-left: -1px;
    line-height: 1.42857143;
    color: #337ab7;
    text-decoration: none;
    background-color: #fff;
    border: 1px solid #ddd;
}

.pagination > .active > a,
.pagination > .active > a:focus, 
.pagination > .active > a:hover, 
.pagination > .active > span, 
.pagination > .active > span:focus, 
.pagination > .active > span:hover {
    z-index: 3;
    color: #fff;
    cursor: default;
    background-color: #337ab7;
    border-color: #337ab7;
}

.pagination > li:first-child > a, 
.pagination > li:first-child > span {
    margin-left: 0;
    border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;
}

.pagination>li:last-child>a, .pagination>li:last-child>span {
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
}


/*message*/
.my-success-message {
    padding: 4%;
    margin-top:3%;
    border: 1px solid transparent;
    color: #3c763d;
    background-color: #dff0d8;
    border-color: #d6e9c6;
}

.my-error-message {
    padding: 4%;
    margin-top:13%;
    border: 1px solid transparent;
    color: #a94442;
    background-color: #f2dede;
    border-color: #ebccd1;
}

.input-error-message {
    color: #f00;
    padding-left: 3%;
    margin-top: -3%;
    margin-bottom: 4%;
    clear: both;
    font-weight:normal;
}

.btn-center {
    margin: auto;
}

.font-red {
    color: red;
}
